@import "../../../../assets/scss/index.scss";

.page-list-table {

  &__th-icon {
    color: $colour__bg-tag-pink;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    font-weight: 900;
    margin-left: 2px;

    &--inactive {
      transform: rotate(90deg) scale(0.75);
      &::before {
        content: "❮ ❯";
      }
    }

    &--ascending {
      margin: 0 7px;
      transform: rotate(90deg) scale(0.75);
      &::before {
        content: "❮";
      }
    }

    &--descending {
      margin: 0 7px;
      transform: rotate(-90deg) scale(0.75);
      &::before {
        content: "❮";
      }
    }
  }

  &__tr {
    &--show {
      &-content {
        display: flex;
        align-items: center;

        img {
          width: 190px;
          height: auto;
        }

        p {
          padding-left: 20px;
          font-size: 1rem;
          line-height: 1.5rem;
        }
      }
      &:hover {
        p {
          color: $colour__text-black;
        }
      }
    }
  }

  table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    font-weight: 400;

    th {
      padding: 10px;
      border-bottom: 1px solid $colour__underline-gray;
      color: $colour__bg-tag-pink;
      text-transform: uppercase;
      font-weight: 900;
      text-align: left;
      cursor: pointer;
      user-select: none;
    }

    .page-list-table__tr {
      margin: 0;
      padding: 0;
      border: 0;
      vertical-align: baseline;
      border-bottom: 1px solid $colour__underline-gray;

      &__td {
        cursor: pointer;
        padding: 10px;

        p {
          padding: 0;
          margin: 0;
          font-size: 1rem;
          line-height: 1rem;
        }
      }

      &--active {
        background-color: $colour__bg-tag-pink;

        td {
          p {
            color: $colour__bg-content-light-white !important;
          }
        }
      }

      &:hover {
        td {
          p {
            color: $colour__bg-tag-pink;
          }
        }
      }
    }
  }

  &__pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0;

    &__page {
      width: 2rem;
      height: 2rem;
      line-height: 2rem;

      cursor: pointer;
      text-decoration: none;
      display: inline-block;
      user-select: none;
      
      text-align: center;
      margin: 0 5px;
      color: $colour__text-light-gray;
      font-weight: 900;

      border-radius: 2rem;
      border: 2px solid transparent; // this will look better than using shadow
      transition: all 0.2s;

      &--active {
        color: $colour__bg-tag-pink;
      }

      &:hover {
        border: 2px solid $colour__text-light-gray;
      }
    }

    &__right,
    &__left {
      width: 2rem;
      height: 2rem;
      line-height: 2rem;
      cursor: pointer;
      text-decoration: none;
      display: inline-block;
      text-align: center;
      color: $colour__bg-content-light-white;
      font-weight: 900;
      border-radius: 2rem;
      background-color: $colour__bg-tag-pink;
      user-select: none; // avoid highlight on clicking
    }
  }
}

@include media(tablet) {
  .page-list-table {
    overflow-x: scroll;

    table {
      width: 760px;
    }
  }
}
